org.apache.tinkerpop.gremlin.server

## Interface Channelizer

- All Superinterfaces:
    io.netty.channel.ChannelHandler
  All Known Implementing Classes:
    AbstractChannelizer, HttpChannelizer, UnifiedChannelizer, WebSocketChannelizer, WsAndHttpChannelizer

      public interface Channelizer
      extends io.netty.channel.ChannelHandler

  An interface that makes it possible to plugin different Netty pipelines to Gremlin Server, enabling the use of different protocols, mapper security and other such functions. A `Channelizer` implementation can be configured in Gremlin Server with the `channelizer` setting in the configuration file.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    `AbstractChannelizer`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Object` | `createIdleDetectionMessage()` Create a message to send to seemingly dead clients to see if they respond back.
    `void` | `init(ServerGremlinExecutor serverGremlinExecutor)` This method is called just after the `Channelizer` is initialized.
    `default boolean` | `supportsIdleMonitor()` Determines if the channelizer supports a method for keeping the connection alive and auto-closing zombie channels.

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Method Detail

    - #### init

          void init(ServerGremlinExecutor serverGremlinExecutor)

      This method is called just after the `Channelizer` is initialized.

    - #### createIdleDetectionMessage

          default Object createIdleDetectionMessage()

      Create a message to send to seemingly dead clients to see if they respond back. The message sent will be dependent on the implementation. For example, a websocket implementation would create a "ping" message. This method will only be used if `supportsIdleMonitor()` is `true`.

    - #### supportsIdleMonitor

          default boolean supportsIdleMonitor()

      Determines if the channelizer supports a method for keeping the connection alive and auto-closing zombie channels.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.